<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="editTiposConceptosId"
                header="Edicion de Tipos de Conceptos"
                widgetVar="editTiposConceptos"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >

                <h:panelGroup id="detalle">
                    <br/><br/>
                    <h:form>
                        <h:panelGrid columns="2" >
                            <h:outputLabel for="tipoConcepto" value="Tipo de Concepto"/>
                            <h:inputText
                                id="tipoConcepto"
                                value="#{tiposConceptosMB.tiposConceptosSelected.TIPO_CONCEPTO}"
                                maxlength="#{commonDataMB.maxInputTextLength}"/>
                            <h:outputText value=""/>
                            <p:message for="tipoConcepto"/>
                            
                            <h:outputLabel for="descTipoConcepto" value="Descripcion"/>
                            <h:inputText
                                id="descTipoConcepto"
                                value="#{tiposConceptosMB.tiposConceptosSelected.DESCRIPCION_CONCEPTO}"
                                maxlength="#{commonDataMB.maxInputTextLength}"/>
                            <h:outputText value=""/>
                            <p:message for="descTipoConcepto"/>


                        </h:panelGrid>

                        <br/>
                        <p:commandButton
                            update=":detalle"
                            value="#{translatedMessage['common.label.save']}"
                            oncomplete="redirect(xhr, status, args, 'ListTiposConceptos.jsf');"
                            actionListener="#{tiposConceptosMB.updateWithConfirm}" >
                        </p:commandButton>
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location = 'ListTiposConceptos.jsf';">
                        </p:commandButton>
                        <br/><br/>
                    </h:form>


                </h:panelGroup>




            </p:dialog>


        </ui:component>

    </body>
</html>
